Skip to main content
`Ctrl`+`K`

# NEPGetSplitPreconditionerInfo

Returns the number of terms of the split preconditioner, as well as the structure flag for matrices.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPGetSplitPreconditionerInfo(NEP nep,PetscInt *n,MatStructure *strp)

Not Collective

## Input Parameter

- nep - the nonlinear eigensolver context

## Output Parameters

- n - the number of terms passed in `NEPSetSplitPreconditioner()`

- strp - the matrix structure flag passed in `NEPSetSplitPreconditioner()`

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPSetSplitPreconditioner()`, `NEPGetSplitPreconditionerTerm()`

## Level

advanced

## Location

src/nep/interface/nepbasic.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages